## dune-grid 2.2.0

=== debian/changelog ===
dune-grid (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:43:53 +0200

dune-grid (2.2~svn8040-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 15:34:32 +0200

dune-grid (2.2~svn7990-1) experimental; urgency=low

  * New upstream snapshot.
  * Drop patch geometry-changes.patch: applied upstream.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Apr 2012 21:31:57 +0200

dune-grid (2.2~svn7982-2) experimental; urgency=low

  * Work around make install failing when building only arch:any.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 07 Apr 2012 20:47:27 +0200

dune-grid (2.2~svn7982-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 06 Apr 2012 11:31:20 +0200
