## dune-grid 2.2.1

=== debian/changelog ===
dune-grid (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 19:44:57 +0200

dune-grid (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: Update for new upstream release.
  * Update soname.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 03:02:57 +0100
