=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-grid.git
@@ -10,8 +10,8 @@
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  chrpath,
- libdune-common-dev (>= 2.2.0),
- libdune-geometry-dev (>= 2.2.0),
+ libdune-common-dev (>= 2.2.1),
+ libdune-geometry-dev (>= 2.2.1),
  libalberta2-dev (>= 2.0.1-5),
  libgmp-dev
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf
@@ -20,9 +20,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-grid-2.2.0 (= ${binary:Version}),
- libdune-common-dev (>= 2.2.0),
- libdune-geometry-dev (>= 2.2.0)
+ libdune-grid-2.2.1 (= ${binary:Version}),
+ libdune-common-dev (>= 2.2.1),
+ libdune-geometry-dev (>= 2.2.1)
 Pre-Depends: dpkg (>= 1.15.6)
 Suggests: libdune-grid-dbg (= ${binary:Version})
 Description: toolbox for solving PDEs -- grid interface (development files)
@@ -38,7 +38,7 @@
 Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-grid-2.2.0 (= ${binary:Version})
+ libdune-grid-2.2.1 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- grid interface (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -48,7 +48,7 @@
  .
  This package contains the debug symbols for the grid interface.
 
-Package: libdune-grid-2.2.0
+Package: libdune-grid-2.2.1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
