## dune-grid 2.3.1

=== debian/changelog ===
dune-grid (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 20:02:30 +0200

dune-grid (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Build-Depends on libug-dev for UG support.
  * Change (Build-)Depends on libalberta2-dev to libalberta-dev.
  * Add Multi-Arch fields for library, debug and documentation packages.
  * Change shared library package name to libdune-grid-2.3.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 21:03:32 +0200

dune-grid (2.3.0-2) unstable; urgency=medium

  * Install /usr/share/dune-grid.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 10:49:16 +0100

dune-grid (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-grid-2.3.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:52:41 +0100

dune-grid (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-grid-dev.install: Install /usr/lib/*/cmake.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 23:34:34 +0100

dune-grid (2.3~20140110beta1-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Remove ${shlibs:Depends} from -dev and -dbg package.
  * Install cmake modules. Note that it is still not possible to use
    cmake with the Debian packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 14:31:55 +0100

dune-grid (2.3~20140101g16be0c0-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bumped Standards-Version to 3.9.5 (no changes).
  * Drop install-grids-as-doc.patch (applied upstream).
  * Change shared library package name to libdune-grid-2.3svn.
  * Drop pre-depends on dpkg (>= 1.15.6) which is already satisfied in
    Debian 6.
  * debian/control: Use canonical Vcs-* URIs.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:56:24 +0100
