=== debian/control ===
Source: dune-grid
Section: libs
Priority: optional
Standards-Version: 3.9.5
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-grid.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-grid.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 chrpath,
 libdune-common-dev (>= 2.3.1),
 libdune-geometry-dev (>= 2.3.1),
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev,
 libug-dev
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf

Package: libdune-grid-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libdune-grid-2.3.1 (= ${binary:Version}),
 libdune-common-dev (>= 2.3.1),
 libdune-geometry-dev (>= 2.3.1),
 libalberta-dev (>= 2.0.1-5),
 libug-dev
Suggests: libdune-grid-dbg (= ${binary:Version})
Description: toolbox for solving PDEs -- grid interface (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the grid interface.

Package: libdune-grid-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdune-grid-2.3.1 (= ${binary:Version})
Description: toolbox for solving PDEs -- grid interface (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the grid interface.

Package: libdune-grid-2.3.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: toolbox for solving PDEs -- grid interface (library)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the library for the grid interface.

Package: libdune-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- grid interface (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the grid interface.
