=== debian/changelog ===
dune-grid (2.4.0-2) unstable; urgency=medium

  * Backport patches from upstream stable release branch.
    + FindAlberta.cmake and FindGrape.cmake should work with current
      versions of CMake.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 26 Jan 2016 09:19:10 +0100

dune-grid (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:45:01 +0200

dune-grid (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 14:15:36 +0200

dune-grid (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-grid-dev: Add -doc package as a suggested package.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 05 Sep 2015 16:23:56 +0200

dune-grid (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 21:24:29 +0200

dune-grid (2.4~20150616g0a6236e-1) experimental; urgency=medium

  * New upstream snapshot.
  * (Build-)Depend on last DUNE upload.
  * (Build-)Depend on last UG release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 20 Jun 2015 00:34:52 +0200

dune-grid (2.4~20150506gd3c1350-1) experimental; urgency=medium

  * New upstream snapshot.
  * Change shared library package name to libdune-grid-2.4git.
  * debian/copyright: Update for new upstream snapshot.
  * (Build-)Depend on last DUNE upload.
  * Add Build-Depends-Indep: graphviz for "dot".
  * Install documentation to correct location.
  * Bumped Standards-Version to 3.9.6.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 06 May 2015 00:49:10 +0200
