## dune-grid 2.4.1~rc2

=== debian/changelog ===
dune-grid (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches that were backported from upstream.
  * (Build-)Depend on last DUNE upload.
  * Mark libdune-grid-dev as Multi-Arch: same.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 15:04:03 +0100
