=== src/CMakeLists.txt ===
add_subdirectory(alu-to-vtk)
add_subdirectory(gmsh-to-alu)
add_subdirectory(gridinfo-gmsh)
add_subdirectory(structured-to-alu)
