=== dune/grid/alugrid/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(2d)
add_subdirectory(3d)
