=== debian/changelog ===
dune-grid (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:42:07 +0100
