=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  chrpath,
- libdune-common-dev (>= 2.4.1~rc2),
- libdune-geometry-dev (>= 2.4.1~rc2),
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1),
  libalberta-dev (>= 2.0.1-5),
  libgmp-dev,
  libug-dev (>= 3.12.1)
@@ -22,8 +22,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4.1~rc2),
- libdune-geometry-dev (>= 2.4.1~rc2),
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1),
  libalberta-dev (>= 2.0.1-5),
  libug-dev (>= 3.12.1)
 Suggests: libdune-grid-dbg (= ${binary:Version}),
