=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --parallel
 
 override_dh_auto_install-arch:
-	set -e; for d in dune lib m4 src; do \
+	set -e; for d in cmake dune lib m4 src; do \
 	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
 	done
 	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
